
// *****************************************************************************
//
// source:    acReadMC.C
//
// type:      source code
//
// created:   08 Nov 2000
//	
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Department of Physics
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            E-mail: Andreas.Gellrich@desy.de
//
// symbol:    acReadMC
//
// called by: mmrevt_
//
// purpose:   handle DBS access for MC events
//
// hints:
//
// changes:
// 08 Nov 2000 (AG) creation
// 13 Nov 2000 (UU) call to OtrMcInitialize
//
// *****************************************************************************

// standard includes

// ONLINE includes

// ARTE includes
#include "farm/farm.hh"
#include "Otr/OtrMc.h"

// globals

// externals

// prototypes
extern "C" void acreadmc_();

//
// function code
//
void
acreadmc_()
{
  ARTE_mark( "acreadmc 0", 0 );
  
  // temporary solution until I have more time (UU)
  OtrMcInitialize();
  
  ARTE_mark( "acreadmc 1", 0 );
}
