#!/bin/bash
# script to convert min files to ROOT
#
# T. Glebe, MPI fuer Kernphysik
# 08.06.2001
#
###############################################

# Set the environment
source ~/setroot

export LD_LIBRARY_PATH=/data/tglebe/arte/BEE/$HBBINTYPE/lib:/afs/desy.de/products/dcache/lib:$LD_LIBRARY_PATH
#export HBVERS=ARTE-03-08-r9
export HBVERS=ARTE-03-09-r3
export HB=$HBROOT/ARTE

# Define list of runs
#RUNLIST="17116 17127 17129 17130 17131 17132 17133 17134"
#RUNLIST="17116 17127 17129 17130 17131 17132 17133 17134 17137"
#RUNLIST="17130 17131 17132 17133 17134"
RUNLIST="17242 17243 17245 17246 17251 17252 17253 17254 17255 17260 17262 17264 17265 17266"

for i in $RUNLIST; do
    export RUNNR=$i
#    export DIR="/hb/mini4/data/REAL/00/exp03/mini/run$RUNNR/"
    export DIR="/acs/data/REAL/00/exp03/mini/run$RUNNR/"
    export NFILES=`ls $DIR/*.mini | wc -w`
    echo "convert run $RUNNR ($NFILES files)"
    ./lib/newbee.Linux_intel_glibc.n.${HBVERS}/beewrite mini batch  
done