
        SUBROUTINE T R I G E N  (GAMMA,STEP,NTR,ETR,STR)

************************************************************************
* written by Valeri Saveliev,18/11/95  19.45.02 
*
* This routine makes TR-generation within straw
*
* called from TRDSIM
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
*
*
************************************************************************
        IMPLICIT NONE
#include "gean/ZGTRDE.fi"
        INTEGER NTR
        REAL GAMMA,STEP,RNDM(2),ETR(1000),STR(1000),GAML,ANT
        REAL WMI, WMA, W0, S1, S2, G2, A0, E 
        DATA GAML/0./,ANT/0./
C...
        NTR     = 0
        WMI     =       TDATA(2,3)*2. E-3
        WMA     = GAMMA*TDATA(2,4)*.25E-3
        IF(WMA.LE.WMI) RETURN
        CALL GRNDM(RNDM,2)
C...
        IF(ABS(GAMMA-GAML).GT.5.) THEN
        GAML    = GAMMA
        W0      = (WMA+WMI)/2.
        S1      = (1.E-3*TDATA(2,3)/W0)**2
        S2      = (1.E-3*TDATA(2,4)/W0)**2
        G2      = 1./GAMMA**2
        A0      = 2.323E-3*((S1+S2+2.*G2)/(S1-S2)*
     +            ALOG((G2+S1)/(G2+S2))-2.)
        ANT     = A0*ALOG(WMA/WMI)
        END IF
C...
        IF(RNDM(1).GT.ANT) RETURN
        E        = WMI*(WMA/WMI)**(RNDM(2))
        IF(E.GT.5.) RETURN
        NTR      = 1
        ETR(1)   = E*1.E-6
        STR(1)   = STEP
        RETURN
        E N D
