/**************************************************************
Author: F.Ratnikov, 15/06/97
extracts the pathname for directory of the source file
Parameters:
 int *length    in/out   in: size of the buffer
                         out: size of the string
 char *dirname  out      fill with directory name

 return value: 0 if buffer is too small, #0 otherwise
***************************************************************/
#include <string.h>

int l1getdirname_ (int *length, char *dirname)
{
  const int fileNameLength = 14;
  const char* name = __FILE__;
  int dirlength;

  dirlength = strlen(name) - fileNameLength ;                  /* length of directory name */
  if (dirlength  > *length)  return 0;                          /* buffer is not large enough */
  
  memcpy (dirname, name, dirlength);
  *length = dirlength;
  return 1;     /* OK */
}
