      subroutine l1sethelp
**************************************************************
*    
* Help routine to L1SET KUIP item
*
**************************************************************
      implicit none

#include "l1si/l1kuip.fi"

      character CMD*32
      character*4 item
      integer lun,i,lenocc
*
      call kuhelp(LUN,CMD)
*
      call kuexel('l1set init')  ! initialisation
*
      write(lun,'('' L1SET parameters current setting:'')')
      write(lun,1000)
      write(lun,1010)
      write(lun,1000)
*
      i = 1
      item = 'DATA'
 100  continue
      write(lun,1004) item, 
     &     l1k_datafile(i:MIN(i+25,lenocc(l1k_datafile)))
      i = i+26
      item = '    '
      if(i.le.lenocc(l1k_datafile))  goto 100
*
      write(lun,1003) 'PRNLEV', l1k_prnlev
      if(l1k_nntuple.gt.0) then
       write(lun,1003) 'NTUPLE', l1k_ntuple(1)
       do i=2,l1k_nntuple
        write(lun,1003) ' ', l1k_ntuple(i)
       enddo
      else
       write(lun,1004) 'NTUPLE','---'
      endif
      write(lun,1002) 'EKTRIG', t1k_ektrig
      if(l1k_calong) then
       write(lun,1004) 'CALONG', 'ON'
      else
       write(lun,1004) 'CALONG', 'OFF'
      endif
      write(lun,1002) 'COGFRA', t1k_cogfra
      write(lun,1002) 'EPMIN', t1k_epmin
      write(lun,1002) 'EPMAX', t1k_epmax
      write(lun,1002) 'EINNER', t1k_einner
      write(lun,1000)


 1000 format('-------------------------------------------')
 1010 format('!    ITEM    !                 SETTING    !')
 1001 format('! ',a10,' ! ',i26,' !')
 1002 format('! ',a10,' ! ',f26.4,' !')
 1003 format('! ',a10,' ! ',i26,' !')
 1004 format('! ',a10,' ! ',a26,' !')
      end
