*CMZ :  0.01/02 22/08/94  13.50.10  by  Dominik Ressing
*CMZ :  0.01/01 24/07/94  17.04.17  by  Dominik Ressing
*-- Author :    Dominik Ressing   24/07/94
************************************************************************
*
* L1TFUHA
* written by Dominik Ressing, 24/07/94 16.23.08
*
* This routines action:
* Simulates TFU hardware in detail
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* JobPo       in          pointer to job
* val         out         is message still valid ?
* itime       out         time at completion
* ierr        out         error flag
*
************************************************************************
c
      SUBROUTINE L1TFUHA(JobPo,val,itime,ierr)
c
      IMPLICIT NONE
c
#include "l1si/l1runpa.fi"
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1jobdf.fi"
#include "l1si/l1mesdf.fi"
#include "l1si/l1prcdf.fi"
c
      INTEGER JobPo,itime,ierr,MePo,iPcPo
      LOGICAL val
c
      val = .true.
      ierr = 0
      itime = L1RUNcutime+L1DEFtfucyc*L1DEFtfuNcyc  ! time for a straight pass
c
      MePo = L1JOBstore(JobPo+L1JOBmess)
      iPcPo = L1MEstor(MePo+L1MEnextPC)
      L1PCstor(iPcPo+L1PCbusy) = L1RUNcutime+L1DEFtfucyc ! this cycle this TFU is busy
c
      RETURN
c
      END
