*CMZ :  2.07/01 05/08/94  12.13.51  by  Rainer Mankel
*-- Author :    Rainer Mankel   05/08/94

      subroutine dicozg(icol,r,g,b)

*     **** add/change color definition to /zgraf/
      implicit none
#include "pris/zgraf.fi"
      integer icol, icolz, ii
      real r, g, b

*     **** check
      if (icol.lt.0.or.icol.gt.99.or.r.lt.0..or.r.gt.1.
     +                           .or.g.lt.0..or.g.gt.1.
     +                           .or.b.lt.0..or.b.gt.1.) then
       print *,' () dicozg: invalid i,r,g,b=', icol, r, g, b
       go to 999
      endif

*     **** already defined ?
      icolz = 0
      do ii=1,ncolzg
       if (jcolzg(ii).eq.icol) then
        icolz = ii
        go to 11
       endif
      enddo

*     **** install new
      if (ncolzg.ge.ncmxzg) then
       print *,' () dicozg: overflowing ncolzg=', ncolzg
       stop 'dicozg'
      endif

      ncolzg = ncolzg + 1
      icolz = ncolzg

 11   jcolzg(icolz) = icol
      acolzg(1,icolz) = r
      acolzg(2,icolz) = g
      acolzg(3,icolz) = b

 999  end



