#ifndef VT_INI_HH
#define VT_INI_HH
/* ********************************************************************/
//
// source:
//
// type:      source code
//
// created:   26. Okt 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Vt++ library
//
// changes:
// 26 Okt 2000 (TG) creation
// 14 Nov 2000 (TG) declared some member functions static
// 18 Dec 2000 (TG) VtIni.hh removed, replatec by global PkgIni object
//
/* ********************************************************************/

class PkgIni;

namespace VERTEX {
  class abc;  // to fake doc++

/// Global Vt++ object which holds XCVS information.
extern const PkgIni VtSteer;

} // end of namespace VERTEX
#endif
