*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CH78BD (D, N)

************************************************************************
*
* Description: append blank space + double precision number D at the end of C78
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  D       in     double precision number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"

      INTEGER LENOCC, L, N
      DOUBLE PRECISION D
      CHARACTER*30 C30

#include "arte/Arte.ff"

      CALL CHDTOC (D, N, '*', C30)

      L = LENOCC(C78)
      IF (L .LT. N78MAX - 1)  THEN
        C78(L+1:L+1) = ' '
        C78(L+2:) = C30
      END IF
      IF (L + LENOCC(C30) .GE. N78MAX)  C78(N78MAX:N78MAX) = '!'

      END

************************************************************************
* End of CH78BD
************************************************************************
