
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Declaration of Histograms and Initialization
//
// changes:
// 28 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
// 19 Nov 1999 (AG) show up
//  6 Jul 2000 (AG) polished printout
// 26 Nov 2001 (MW) new histograms
//  8 Feb 2002 (MW) remove MC
// ******************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "dq/DQ_OTR.h"

//
// function code
//
int
DQ_OTR_rec_init()
{
  // show up
  ARTE_mark( "DQ_OTR_rec_init 0", 0 ); 
  cout << "DQ_OTR_rec_init" << endl;

  //  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,200),"OTR: number of OTR tracks per event",10,-0.5,9.5);

  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,200),"OTR: No. RTRA tracks/ev",100,0.,100.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,201),"OTR: No. hits RTRA VDS tracks/ev",60,0.,60.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,202),"OTR: No. hits RTRA PC tracks/ev",60,0.,60.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,203),"OTR: No. segm VDS /ev",100,0.,100.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,205),"OTR: No. segm PC  /ev",100,0.,100.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,206),"OTR: No. segm TC  /ev",100,0.,100.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,207),"OTR: No. hits/segm VDS",60,0.,60.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,210),"OTR: No. hits/segm PC",60,0.,60.);
  rhp_hbook1(DQ_ID(COMP_OTR,LVL_REC,211),"OTR: No. hits/segm TC",60,0.,60.);



  // show up
  ARTE_mark( "DQ_OTR_rec_init 1", 0 ); 

  return 0; // return error code (0 = okay)
}
