
*
* source:    dqkuip.cdf
*
* type:      KUIP source code
*
* created:   25 Jul 2000
*	
* author:    Andreas Gellrich
*            HERA-B Collaboration
*            Humboldt-University Berlin
*            Physics Department
*            Invalidenstr. 110
*            10115 Berlin
*            Germany
*            E-mail: Andreas.Gellrich@desy.de
*
* purpose:   define KUIP commands for DQM
*
* hints:     rc99Akuip.cdf is obsolete!
*
* changes:
* 03 Aug 2000 (AG) polished code
* 13 Sep 2000 (AG) local HBOOK histogram name
*

>NAME dqkuip
>MENU /DQ
 
>Command SUBD
>Guidance
switch on/off subdetectors for data quality monitoring.
>Action DQ_COMP
>Parameter
+
SUBD 'subdetectors'         C  D=' '
STAT 'status on/off'        C  D='OFF'
HIT  'reconstruction level' C  D=' '

>Command DBS
>Guidance
switch on/off the storage of histograms in the database
>Action DQ_DBS
>Parameter
+
STAT 'status on/off'        C  D='OFF'

>Command HBOOK
>Guidance
assign local HBOOK file name for online running
>Action DQ_HBOOK
>Parameter
+
FILE 'name'                 C D=' '

>Command EVAL
>Guidance
switch on/off the evaluation of histograms
>Action DQ_EVAL
>Parameter
+
STAT 'status on/off'        C  D='OFF'
