*CMZ :  1.00/00 02/01/95  19.26.32  by  Dominik Ressing
*CMZ :  0.01/02 22/08/94  12.18.25  by  Dominik Ressing
*CMZ :  0.01/01 25/07/94  17.20.04  by  Dominik Ressing
*-- Author :    Dominik Ressing   25/07/94
************************************************************************
*
* L1MESSC
* written by Dominik Ressing, 25/07/94 17.09.59
*
* This routines action:
* Deletes all messages for BX iBX by using the BX trace from L1MEbx
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* iBX         in          BX number of messages to scratch
*
*
************************************************************************
c
      SUBROUTINE L1MESSC(iBX)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1mesdf.fi"
c
      INTEGER Lmess,iBX,nBX,Lnext
c
      Lmess = L1MEbx(L1MEBXfipo,iBX)
      nBX   = L1MEbx(L1MEBXn,iBX)
c
      DO WHILE(nBX.gt.0)
c
         IF (Lmess.le.0) THEN
            WRITE(L1LUNprn,*)
     &           'L1MESSC ==> invalid meesage pointer',
     &           iBX,nBX,Lmess
            nBX = 0
         ELSE
            Lnext = L1MEstor(Lmess+L1MEnext)
c           ---- message valid ??
            IF ( ABS(L1MEstor(Lmess+L1MEactive)).eq.L1MEacDEL ) THEN
               WRITE(L1LUNprn,*)
     &          'L1MESSC ==> message was already deleted !!!:',Lmess
            ELSE
                 CALL l1mesdi(Lmess)           ! disconnect from current chain
                 CALL l1mesco(Lmess,L1MEfree)  ! connect to free chain at top
                 CALL l1usrmd(Lmess)           ! call for user actions
                 L1MEstor(Lmess+L1MEactive) = L1MEacDEL  ! mark as deleted
            END IF
            Lmess = Lnext                 ! point to next message
            nBX = nBX - 1
         END IF
c
      END DO
c
c     --- reset pointers/counter for BX
      L1MEbx(L1MEBXn,   iBX) = 0
      L1MEbx(L1MEBXfipo,iBX) = 0
      L1MEbx(L1MEBXnact,iBX) = 0
c
      RETURN
c
      END
