
//## Boris Fominykh  2.01.2000
// member functions of class MuDbPixelArte

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "arte/arte.hh"
#include "arte/artefunc.h"
#include "arte/ArteMessage.hh"

#include "murec/MuDbPixelArte.h"

extern "C" {
int MuNameDecode(char*,int*,int*,int*,int*,int*,int*);
}

//** Constructor */
MuDbPixelArte::MuDbPixelArte()
  :  MuDbPixel::MuDbPixel()
{
}

//** Destructor */
MuDbPixelArte::~MuDbPixelArte()
{
}

//## Methods

int MuDbPixelArte::setStructArte()
{
  LWord Ngede = 0;
// loops over GEDE
  for ( ArteTableIterator<GEDE> iv = ArteTable<GEDE>::begin(); 
        iv != ArteTable<GEDE>::end();
        ++iv ) {
    Ngede++;
    int   cmp  = (*iv)->cmp;
    if(cmp == 9) {
      ArtePointer<GESL> gesl = (*iv)->gesl;
      int msl = gesl->nsl;            // # muon superlayer
      int sl  = msl-1;
// chamber name
      char name[10];
      strncpy(name,(*iv)->hwc,9);
// decode the chamber name
      int type  = 0;
      int msld  = 0;
      int lay  = 0;
      int ud   = 0;
      int qu    = 0;
      int ncab  = 0;
      int ret=MuNameDecode(&name[0],&type,&msld,&lay,&ud,&qu,&ncab);
      if(ret == 0 && type == 4 && msl == msld) {
        qu-=1;
        strncpy(&ChamListX[sl][qu][0],name,6);
        ChamListX[sl][qu][5]='\0';
        PixGede[sl][qu] = Ngede;
      }
    }
  }
  return 0;
}

int MuDbPixelArte::Ini()
{
  Ivalid=-1;
  Clear();
  int ret = 0;
  ret=MuDbPixelArte::setStructArte();
  if(ret != 0) return ret+10;
  ret=MuDbPixel::SetConnect();
  if(ret != 0) return ret+20;
  Ivalid=1;
  return 0;
}
