// 
//  Author:  Rainer Mankel                     Created:  10-Jun-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerProxyWin

#ifndef RANGER_PROXYWIN_HH
#define RANGER_PROXYWIN_HH

class rangerDomWin;

class rangerProxyWin {

public:
  rangerProxyWin(){};
  rangerProxyWin(rangerDomWin* wi,const int position,
		 const float width,rangerDomWin* wiP);
  ~rangerProxyWin(){};

  rangerDomWin* toWin() { return ToWin; };
  int inside(float y) { return  (y >= MinCoord && y <= MaxCoord);}; 
                                           // test if in hot region
private:
  rangerDomWin* FromWin;
  rangerDomWin* ToWin;
  int Position;      // hot region in FromWin: 1=upper 2=lower
  float MinCoord;    // coordinate borders
  float MaxCoord;
};   

#endif

