// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerScatThin
// calculate covariance matrix elements for thin multiple scattering objects

#ifndef rangerScatThin_HH
#define rangerScatThin_HH

class rangerScatThin {

public:
  rangerScatThin(double msEff, double Qp, double Tx, double Ty);
  double dScat;
  double cTxTx;
  double cTxTy;
  double cTyTy;
  double cQpQp;
};

//include "rang/ScatThin.icc"

#endif
