// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 
// Modifications:
// - Adapted to `withinBox' scheme      16-Jul-01 Wouter Hulsbergen

// class rangerVolTrd2
// volume class for trapezoid (type 2)

#ifndef rangerVolTrd2_HH
#define rangerVolTrd2_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerVolTrd2 : public rangerVolume 
{  
public:
  rangerVolTrd2(); // default constructor
  rangerVolTrd2( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolTrd2(); // destructor
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
};

#endif
