*CMZ :  4.04/00 03/09/96  15.32.17  by  Rainer Mankel
*-- Author :    Rainer Mankel   03/09/96

      subroutine tfktrans()

*     **** monitor transport from mimp to mimp
*     **** called by KUIP
      implicit none
#include "arte/Arte.fi"

#include "pris/zmh.fi"

#include "rang/zf.fi"
#include "rang/zfmode.fi"
#include "auto/GEO.fi"
#include "auto/HITB.fi"
#include "auto/MTRA.fi"
#include "auto/MIMP.fi"
#include "auto/TOPP.fi"

      integer nmx
      parameter (nmx=500)
      integer ih, imc, iso, nso, iih, mimp, mimp2, hit_array(nmx),
     +        nhits, jmc, nnmimp, ipl, cmp, icm, istereo, nprint,
     +        gcode, nch_tot, ii, jj, izf, jzf, istat, mimp_i, mimp_j,
     +        iter
      real xr, yr, u, t_u, dtx, dty, de, ems, ede, resid, zmin,
     +     zmax, xp, yp, ch_tot, prob, pmc(5)
      double precision dz, f(5,5)

      logical init, electron, tfcharg, ecorr
      character*4 c(3), ccmp

      data c /'Si', 'HDC', 'MSGC'/
      data init /.false./
      save c, init

#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
#include "auto/MTRA.ff"
#include "auto/MIMP.ff"
#include "auto/TOPP.ff"

      call kugeti(imc)
      call kugetr(zmin)
      call kugetr(zmax)

      if (l_diag) then
         print *,' tfktrans starting for imc=', imc
         call tfwait()
      endif

      if (imc.eq.0) go to 999

*     **** initialize /zmh/ if needed
      call tusomh()

*     **** check id
      if (.not.( tfcharg(imc) ) ) go to 999
      gcode = itopp_gean(omtra_topp(imc))

      electron = (gcode.eq.2)  .or. (gcode.eq.3)

*     **** check zf structure
      izf = n_zf + 1
      jzf = n_zf + 2

*     **** loop over mimps in sorted order
      nso = nmimmh(imc)
      nprint = 0
      ch_tot = 0.
      nch_tot = 0

      do 30 iso=nso-1,1,-1
         mimp_i = imimmh( istamh(imc) + iso+1 )
         mimp_j = imimmh( istamh(imc) + iso   )

         z_zf(izf) = fmimp_z(mimp_i)
         xx_zf(1,izf) = fmimp_x(mimp_i)
         xx_zf(2,izf) = fmimp_y(mimp_i)
         xx_zf(3,izf) = fmimp_tx(mimp_i)
         xx_zf(4,izf) = fmimp_ty(mimp_i)

         if (iqtopp_chrg(omtra_topp(omimp_mtra(mimp_i))).gt.0) then
            xx_zf(5,izf) = +1. / fmimp_p(mimp_i)
     +          * sqrt( (1.+fmimp_tx(mimp_i)**2+fmimp_ty(mimp_i)**2)
     +               / (1.+fmimp_tx(mimp_i)**2) )
         else
            xx_zf(5,izf) = -1. / fmimp_p(mimp_i)
     +          * sqrt( (1.+fmimp_tx(mimp_i)**2+fmimp_ty(mimp_i)**2)
     +               / (1.+fmimp_tx(mimp_i)**2) )
         endif

         do ii=1,5
            do jj=1,5
               cx_zf(ii,jj,izf) = 0.
            enddo
         enddo

         dz = fmimp_z(mimp_j) - fmimp_z(mimp_i)
         z_zf(jzf) = z_zf(izf) + dz
         ecorr = .false.
         iter = 0
         istat = 0
         call tftrans(dz,izf,jzf,f,ecorr,iter,istat)

         pmc(1) = fmimp_x(mimp_j)
         pmc(2) = fmimp_y(mimp_j)
         pmc(3) = fmimp_tx(mimp_j)
         pmc(4) = fmimp_ty(mimp_j)
         if (iqtopp_chrg(omtra_topp(omimp_mtra(mimp_j))).gt.0) then
            pmc(5) = 1. / fmimp_p(mimp_j)
     +           *  sqrt( (1.+fmimp_tx(mimp_j)**2+fmimp_ty(mimp_j)**2)
     +           / (1.+fmimp_tx(mimp_j)**2) )
         else
            pmc(5) = -1. / fmimp_p(mimp_j)
     +           * sqrt( (1.+fmimp_tx(mimp_j)**2+fmimp_ty(mimp_j)**2)
     +           / (1.+fmimp_tx(mimp_j)**2) )
         endif

         print *,' ==================== z=',z_zf(jzf)
         do ii=1,5
            print '(i3,4f12.4)',
     +           ii,pmc(ii),xp_zf(ii,jzf),pmc(ii)-xp_zf(ii,jzf),
     +        dsqrt(cp_zf(ii,ii,jzf))
         enddo

 30   continue

 999  end
