//--*-C++-*--
//
//  Created: Apr 04 2001
//
//  Modifications:
//
//
#include "rise/RObject.h"

// estimated max number of RICH photons
#define PHMAX 10000
vector<RHit>   RichObject<RHit>::list(PHMAX);

// estimated max. number of tracks
#define TRMAX 100
vector<RTrack> RichObject<RTrack>::list(TRMAX);
vector<RRing>  RichObject<RRing>::list(TRMAX);

// do nothing
void  fillListDummy() {;}
void  saveListDummy() {;}
float shadowDummy(float *track) { return 1.0; }

float (*RRing::shadow)(float *)=shadowDummy;
void  RRing::setShadowFunction(float (*myShadow)(float *track)) {
  shadow=myShadow;
}
