#ifndef _L3_RHP_HH_
#define _L3_RHP_HH_
// *****************************************************************************
//
// source:    L3_RHP.hh
//
// type:      include file
//
// created:   06 Dec 1999
//
// authors:   Stefan Scharein, Ullrich Schwanke
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: scharein@ifh.de, schwanke@ifh.de
//
// changes:
// 08 Aug 2000 (AG) solved bug in include path (dq.h is in ONLINE)
//
// *****************************************************************************

// ONLINE includes
#include "component.h"
#include "dq.h"

inline int MYID( int ID ){
  return DQ_ID( COMP_TLT, LVL_REC, ID );
}

#endif
