*-- Author :    T. Oest   24/10/96

      SUBROUTINE V0SELT2(ITK1, ITK2, IRET)

************************************************************************
*
* Description: check tracks for common segments 
*
* Called from:
*
* External references:
*
* Argument in/out description
* ITK1     in     first track row in RTRA bank
* ITK2     in     second track row in RTRA bank
* IRET     out    = 0  if tracks have same segments
*
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/EV.fi"

      INTEGER          ITK1, ITK2, IRET
      INTEGER INDT1, ISEG1, INDT2, ISEG2

#include "arte/Arte.ff"
#include "auto/EV.ff"

*-----------------------------------------------------------------------
* initialization
*-----------------------------------------------------------------------
      IRET = 0
*-----------------------------------------------------------------------
* 
*-----------------------------------------------------------------------

      IF (PRTRA_RSEG(ITK1).NE.0 .AND. PRTRA_RSEG(ITK2).NE.0) THEN

       INDT1 = PRTRA_RSEG(ITK1)
       DO WHILE (INDT1.NE.0)
        ISEG1 = MRTRA_RSEG(INDT1)

        INDT2 = PRTRA_RSEG(ITK2)
        DO WHILE (INDT2.NE.0)
         ISEG2 = MRTRA_RSEG(INDT2)

         IF (ISEG1 .EQ. ISEG2) THEN
          IRET = -1
          GOTO 9000
         ENDIF

         INDT2  = XRTRA_RSEG(INDT2) 
        ENDDO
        INDT1  = XRTRA_RSEG(INDT1) 
       ENDDO
 
      ENDIF
*-----------------------------------------------------------------------
* the end
*-----------------------------------------------------------------------
 9000 END
